diff mbox series

btrfs/220: do not run async discard test on zoned device

Message ID 20230818020325.1214715-1-naohiro.aota@wdc.com (mailing list archive)
State New, archived
Headers show
Series btrfs/220: do not run async discard test on zoned device | expand

Commit Message

Naohiro Aota Aug. 18, 2023, 2:03 a.m. UTC
The mount option "discard=async" is not meant to be used on the zoned mode.
Skip it from the test.

Signed-off-by: Naohiro Aota <naohiro.aota@wdc.com>
---
 tests/btrfs/220 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Comments

Filipe Manana Aug. 18, 2023, 10:30 a.m. UTC | #1
On Fri, Aug 18, 2023 at 11:03:25AM +0900, Naohiro Aota wrote:
> The mount option "discard=async" is not meant to be used on the zoned mode.
> Skip it from the test.
> 
> Signed-off-by: Naohiro Aota <naohiro.aota@wdc.com>

Reviewed-by: Filipe Manana <fdmanana@suse.com>

Looks good, thanks.

> ---
>  tests/btrfs/220 | 4 +++-
>  1 file changed, 3 insertions(+), 1 deletion(-)
> 
> diff --git a/tests/btrfs/220 b/tests/btrfs/220
> index 30ca06f6038d..b092f40bc1e0 100755
> --- a/tests/btrfs/220
> +++ b/tests/btrfs/220
> @@ -279,7 +279,9 @@ test_revertible_options()
>  	test_should_fail "discard=invalid"
>  	if [ "$enable_discard_sync" = true ]; then
>  		test_roundtrip_mount "discard" "discard" "discard=sync" "discard"
> -		test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
> +		if ! _scratch_btrfs_is_zoned; then
> +			test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
> +		fi
>  		test_roundtrip_mount "discard=sync" "discard" "nodiscard" "$DEFAULT_NODISCARD_OPTS"
>  	else
>  		test_roundtrip_mount "discard" "discard" "discard" "discard"
> -- 
> 2.41.0
>
diff mbox series

Patch

diff --git a/tests/btrfs/220 b/tests/btrfs/220
index 30ca06f6038d..b092f40bc1e0 100755
--- a/tests/btrfs/220
+++ b/tests/btrfs/220
@@ -279,7 +279,9 @@  test_revertible_options()
 	test_should_fail "discard=invalid"
 	if [ "$enable_discard_sync" = true ]; then
 		test_roundtrip_mount "discard" "discard" "discard=sync" "discard"
-		test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
+		if ! _scratch_btrfs_is_zoned; then
+			test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
+		fi
 		test_roundtrip_mount "discard=sync" "discard" "nodiscard" "$DEFAULT_NODISCARD_OPTS"
 	else
 		test_roundtrip_mount "discard" "discard" "discard" "discard"